Bug 887932 - SELinux is preventing /usr/bin/passwd from 'execute' accesses on the file /usr/bin/gnome-keyring-daemon.
Summary: SELinux is preventing /usr/bin/passwd from 'execute' accesses on the file /us...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: 18
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Miroslav Grepl
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:a73daefcd1cdc405d39cee7b19f...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-12-17 16:03 UTC by Elad Alfassa
Modified: 2013-01-11 23:14 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-01-11 23:14:07 UTC


Attachments (Terms of Use)

Description Elad Alfassa 2012-12-17 16:03:48 UTC
Description of problem:
Remote user changed his password via an ssh connection
Remote user changed his password via an ssh connection

SELinux is preventing /usr/bin/passwd from 'execute' accesses on the file /usr/bin/gnome-keyring-daemon.

*****  Plugin catchall (100. confidence) suggests  ***************************

If you believe that passwd should be allowed execute access on the gnome-keyring-daemon file by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# grep passwd /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Additional Information:
Source Context                unconfined_u:unconfined_r:passwd_t:s0-s0:c0.c1023
Target Context                system_u:object_r:gkeyringd_exec_t:s0
Target Objects                /usr/bin/gnome-keyring-daemon [ file ]
Source                        passwd
Source Path                   /usr/bin/passwd
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           passwd-0.78.99-3.fc18.x86_64
Target RPM Packages           gnome-keyring-3.6.2-2.fc18.x86_64
Policy RPM                    selinux-policy-3.11.1-62.fc18.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     (removed)
Platform                      Linux (removed) 3.6.10-4.fc18.x86_64 #1 SMP Tue
                              Dec 11 18:01:27 UTC 2012 x86_64 x86_64
Alert Count                   1
First Seen                    2012-12-17 18:02:08 IST
Last Seen                     2012-12-17 18:02:08 IST
Local ID                      2b73c538-8720-4c7f-9288-bdcb7c64fb01

Raw Audit Messages
type=AVC msg=audit(1355760128.830:175): avc:  denied  { execute } for  pid=19408 comm="passwd" name="gnome-keyring-daemon" dev="sda6" ino=212601 scontext=unconfined_u:unconfined_r:passwd_t:s0-s0:c0.c1023 tcontext=system_u:object_r:gkeyringd_exec_t:s0 tclass=file


type=SYSCALL msg=audit(1355760128.830:175): arch=x86_64 syscall=execve success=no exit=EACCES a0=7f27b34d4780 a1=7ffffbe1f1c0 a2=7f27bef64d30 a3=10 items=0 ppid=19401 pid=19408 auid=1002 uid=1002 gid=1002 euid=1002 suid=0 fsuid=1002 egid=1002 sgid=1002 fsgid=1002 tty=pts2 ses=5 comm=passwd exe=/usr/bin/passwd subj=unconfined_u:unconfined_r:passwd_t:s0-s0:c0.c1023 key=(null)

Hash: passwd,passwd_t,gkeyringd_exec_t,file,execute

audit2allow

#============= passwd_t ==============
allow passwd_t gkeyringd_exec_t:file execute;

audit2allow -R

#============= passwd_t ==============
allow passwd_t gkeyringd_exec_t:file execute;


Additional info:
hashmarkername: setroubleshoot
kernel:         3.6.10-4.fc18.x86_64
type:           libreport

Potential duplicate: bug 707803

Comment 1 Daniel Walsh 2012-12-17 19:26:40 UTC
Fixed in selinux-policy-3.11.1-67.fc18.noarch

Comment 2 Fedora Update System 2012-12-21 10:31:58 UTC
selinux-policy-3.11.1-67.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/selinux-policy-3.11.1-67.fc18

Comment 3 Fedora Update System 2012-12-21 20:02:21 UTC
Package selinux-policy-3.11.1-67.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing selinux-policy-3.11.1-67.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-20813/selinux-policy-3.11.1-67.fc18
then log in and leave karma (feedback).

Comment 4 Fedora Update System 2013-01-11 23:14:09 UTC
selinux-policy-3.11.1-67.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.